#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include "pcre_internal.h"

/* Unicode character database. */
/* This file was autogenerated by the MultiStage2.py script. */
/* Total size: 60384 bytes, block size: 128. */

/* The tables herein are needed only when UCP support is built */
/* into PCRE. This module should not be referenced otherwise, so */
/* it should not matter whether it is compiled or not. However */
/* a comment was received about space saving - maybe the guy linked */
/* all the modules rather than using a library - so we include a */
/* condition to cut out the tables when not needed. But don't leave */
/* a totally empty module because some compilers barf at that. */
/* Instead, just supply small dummy tables. */

#ifndef SUPPORT_UCP
const ucd_record PRIV(ucd_records)[] = {{0,0,0 }};
const pcre_uint8 PRIV(ucd_stage1)[] = {0};
const pcre_uint16 PRIV(ucd_stage2)[] = {0};
#else

/* When recompiling tables with a new Unicode version,
please check types in the structure definition from pcre_internal.h:
typedef struct {
pcre_uint8 property_0;
pcre_uint8 property_1;
pcre_int32 property_2;
} ucd_record; */


const ucd_record PRIV(ucd_records)[] = { /* 4320 bytes, record size 8 */
  {     9,      0,      0, }, /*   0 */
  {     9,     29,      0, }, /*   1 */
  {     9,     21,      0, }, /*   2 */
  {     9,     23,      0, }, /*   3 */
  {     9,     22,      0, }, /*   4 */
  {     9,     18,      0, }, /*   5 */
  {     9,     25,      0, }, /*   6 */
  {     9,     17,      0, }, /*   7 */
  {     9,     13,      0, }, /*   8 */
  {    33,      9,     32, }, /*   9 */
  {     9,     24,      0, }, /*  10 */
  {     9,     16,      0, }, /*  11 */
  {    33,      5,    -32, }, /*  12 */
  {     9,     26,      0, }, /*  13 */
  {    33,      5,      0, }, /*  14 */
  {     9,     20,      0, }, /*  15 */
  {     9,      1,      0, }, /*  16 */
  {     9,     15,      0, }, /*  17 */
  {     9,      5,    743, }, /*  18 */
  {     9,     19,      0, }, /*  19 */
  {    33,      5,    121, }, /*  20 */
  {    33,      9,      1, }, /*  21 */
  {    33,      5,     -1, }, /*  22 */
  {    33,      9,   -199, }, /*  23 */
  {    33,      5,   -232, }, /*  24 */
  {    33,      9,   -121, }, /*  25 */
  {    33,      5,   -300, }, /*  26 */
  {    33,      5,    195, }, /*  27 */
  {    33,      9,    210, }, /*  28 */
  {    33,      9,    206, }, /*  29 */
  {    33,      9,    205, }, /*  30 */
  {    33,      9,     79, }, /*  31 */
  {    33,      9,    202, }, /*  32 */
  {    33,      9,    203, }, /*  33 */
  {    33,      9,    207, }, /*  34 */
  {    33,      5,     97, }, /*  35 */
  {    33,      9,    211, }, /*  36 */
  {    33,      9,    209, }, /*  37 */
  {    33,      5,    163, }, /*  38 */
  {    33,      9,    213, }, /*  39 */
  {    33,      5,    130, }, /*  40 */
  {    33,      9,    214, }, /*  41 */
  {    33,      9,    218, }, /*  42 */
  {    33,      9,    217, }, /*  43 */
  {    33,      9,    219, }, /*  44 */
  {    33,      7,      0, }, /*  45 */
  {    33,      5,     56, }, /*  46 */
  {    33,      9,      2, }, /*  47 */
  {    33,      8,     -1, }, /*  48 */
  {    33,      5,     -2, }, /*  49 */
  {    33,      5,    -79, }, /*  50 */
  {    33,      9,    -97, }, /*  51 */
  {    33,      9,    -56, }, /*  52 */
  {    33,      9,   -130, }, /*  53 */
  {    33,      9,  10795, }, /*  54 */
  {    33,      9,   -163, }, /*  55 */
  {    33,      9,  10792, }, /*  56 */
  {    33,      5,  10815, }, /*  57 */
  {    33,      9,   -195, }, /*  58 */
  {    33,      9,     69, }, /*  59 */
  {    33,      9,     71, }, /*  60 */
  {    33,      5,  10783, }, /*  61 */
  {    33,      5,  10780, }, /*  62 */
  {    33,      5,  10782, }, /*  63 */
  {    33,      5,   -210, }, /*  64 */
  {    33,      5,   -206, }, /*  65 */
  {    33,      5,   -205, }, /*  66 */
  {    33,      5,   -202, }, /*  67 */
  {    33,      5,   -203, }, /*  68 */
  {    33,      5,   -207, }, /*  69 */
  {    33,      5,  42280, }, /*  70 */
  {    33,      5,   -209, }, /*  71 */
  {    33,      5,   -211, }, /*  72 */
  {    33,      5,  10743, }, /*  73 */
  {    33,      5,  10749, }, /*  74 */
  {    33,      5,   -213, }, /*  75 */
  {    33,      5,   -214, }, /*  76 */
  {    33,      5,  10727, }, /*  77 */
  {    33,      5,   -218, }, /*  78 */
  {    33,      5,    -69, }, /*  79 */
  {    33,      5,   -217, }, /*  80 */
  {    33,      5,    -71, }, /*  81 */
  {    33,      5,   -219, }, /*  82 */
  {    33,      6,      0, }, /*  83 */
  {     9,      6,      0, }, /*  84 */
  {     3,     24,      0, }, /*  85 */
  {    27,     12,      0, }, /*  86 */
  {    27,     12,     84, }, /*  87 */
  {    19,      9,      1, }, /*  88 */
  {    19,      5,     -1, }, /*  89 */
  {    19,     24,      0, }, /*  90 */
  {     9,      2,      0, }, /*  91 */
  {    19,      6,      0, }, /*  92 */
  {    19,      5,    130, }, /*  93 */
  {    19,      9,     38, }, /*  94 */
  {    19,      9,     37, }, /*  95 */
  {    19,      9,     64, }, /*  96 */
  {    19,      9,     63, }, /*  97 */
  {    19,      5,      0, }, /*  98 */
  {    19,      9,     32, }, /*  99 */
  {    19,      5,    -38, }, /* 100 */
  {    19,      5,    -37, }, /* 101 */
  {    19,      5,    -32, }, /* 102 */
  {    19,      5,    -31, }, /* 103 */
  {    19,      5,    -64, }, /* 104 */
  {    19,      5,    -63, }, /* 105 */
  {    19,      9,      8, }, /* 106 */
  {    19,      5,    -62, }, /* 107 */
  {    19,      5,    -57, }, /* 108 */
  {    19,      9,      0, }, /* 109 */
  {    19,      5,    -47, }, /* 110 */
  {    19,      5,    -54, }, /* 111 */
  {    19,      5,     -8, }, /* 112 */
  {    10,      9,      1, }, /* 113 */
  {    10,      5,     -1, }, /* 114 */
  {    19,      5,    -86, }, /* 115 */
  {    19,      5,    -80, }, /* 116 */
  {    19,      5,      7, }, /* 117 */
  {    19,      9,    -60, }, /* 118 */
  {    19,      5,    -96, }, /* 119 */
  {    19,     25,      0, }, /* 120 */
  {    19,      9,     -7, }, /* 121 */
  {    19,      9,   -130, }, /* 122 */
  {    12,      9,     80, }, /* 123 */
  {    12,      9,     32, }, /* 124 */
  {    12,      5,    -32, }, /* 125 */
  {    12,      5,    -80, }, /* 126 */
  {    12,      9,      1, }, /* 127 */
  {    12,      5,     -1, }, /* 128 */
  {    12,     26,      0, }, /* 129 */
  {    12,     12,      0, }, /* 130 */
  {    12,     11,      0, }, /* 131 */
  {    12,      9,     15, }, /* 132 */
  {    12,      5,    -15, }, /* 133 */
  {     1,      9,     48, }, /* 134 */
  {     1,      6,      0, }, /* 135 */
  {     1,     21,      0, }, /* 136 */
  {     1,      5,    -48, }, /* 137 */
  {     1,      5,      0, }, /* 138 */
  {     1,     17,      0, }, /* 139 */
  {    25,     12,      0, }, /* 140 */
  {    25,     17,      0, }, /* 141 */
  {    25,     21,      0, }, /* 142 */
  {    25,      7,      0, }, /* 143 */
  {     0,      1,      0, }, /* 144 */
  {     0,     25,      0, }, /* 145 */
  {     0,     21,      0, }, /* 146 */
  {     0,     23,      0, }, /* 147 */
  {     0,     26,      0, }, /* 148 */
  {     0,     12,      0, }, /* 149 */
  {     0,      7,      0, }, /* 150 */
  {     0,      6,      0, }, /* 151 */
  {     0,     13,      0, }, /* 152 */
  {    49,     21,      0, }, /* 153 */
  {    49,      1,      0, }, /* 154 */
  {    49,      7,      0, }, /* 155 */
  {    49,     12,      0, }, /* 156 */
  {    55,      7,      0, }, /* 157 */
  {    55,     12,      0, }, /* 158 */
  {    63,     13,      0, }, /* 159 */
  {    63,      7,      0, }, /* 160 */
  {    63,     12,      0, }, /* 161 */
  {    63,      6,      0, }, /* 162 */
  {    63,     26,      0, }, /* 163 */
  {    63,     21,      0, }, /* 164 */
  {    89,      7,      0, }, /* 165 */
  {    89,     12,      0, }, /* 166 */
  {    89,      6,      0, }, /* 167 */
  {    89,     21,      0, }, /* 168 */
  {    94,      7,      0, }, /* 169 */
  {    94,     12,      0, }, /* 170 */
  {    94,     21,      0, }, /* 171 */
  {    14,     12,      0, }, /* 172 */
  {    14,     10,      0, }, /* 173 */
  {    14,      7,      0, }, /* 174 */
  {    14,     13,      0, }, /* 175 */
  {    14,      6,      0, }, /* 176 */
  {     2,     12,      0, }, /* 177 */
  {     2,     10,      0, }, /* 178 */
  {     2,      7,      0, }, /* 179 */
  {     2,     13,      0, }, /* 180 */
  {     2,     23,      0, }, /* 181 */
  {     2,     15,      0, }, /* 182 */
  {     2,     26,      0, }, /* 183 */
  {    21,     12,      0, }, /* 184 */
  {    21,     10,      0, }, /* 185 */
  {    21,      7,      0, }, /* 186 */
  {    21,     13,      0, }, /* 187 */
  {    20,     12,      0, }, /* 188 */
  {    20,     10,      0, }, /* 189 */
  {    20,      7,      0, }, /* 190 */
  {    20,     13,      0, }, /* 191 */
  {    20,     23,      0, }, /* 192 */
  {    43,     12,      0, }, /* 193 */
  {    43,     10,      0, }, /* 194 */
  {    43,      7,      0, }, /* 195 */
  {    43,     13,      0, }, /* 196 */
  {    43,     26,      0, }, /* 197 */
  {    43,     15,      0, }, /* 198 */
  {    53,     12,      0, }, /* 199 */
  {    53,      7,      0, }, /* 200 */
  {    53,     10,      0, }, /* 201 */
  {    53,     13,      0, }, /* 202 */
  {    53,     15,      0, }, /* 203 */
  {    53,     26,      0, }, /* 204 */
  {    53,     23,      0, }, /* 205 */
  {    54,     10,      0, }, /* 206 */
  {    54,      7,      0, }, /* 207 */
  {    54,     12,      0, }, /* 208 */
  {    54,     13,      0, }, /* 209 */
  {    54,     15,      0, }, /* 210 */
  {    54,     26,      0, }, /* 211 */
  {    28,     10,      0, }, /* 212 */
  {    28,      7,      0, }, /* 213 */
  {    28,     12,      0, }, /* 214 */
  {    28,     13,      0, }, /* 215 */
  {    36,     10,      0, }, /* 216 */
  {    36,      7,      0, }, /* 217 */
  {    36,     12,      0, }, /* 218 */
  {    36,     13,      0, }, /* 219 */
  {    36,     15,      0, }, /* 220 */
  {    36,     26,      0, }, /* 221 */
  {    47,     10,      0, }, /* 222 */
  {    47,      7,      0, }, /* 223 */
  {    47,     12,      0, }, /* 224 */
  {    47,     21,      0, }, /* 225 */
  {    56,      7,      0, }, /* 226 */
  {    56,     12,      0, }, /* 227 */
  {    56,      6,      0, }, /* 228 */
  {    56,     21,      0, }, /* 229 */
  {    56,     13,      0, }, /* 230 */
  {    32,      7,      0, }, /* 231 */
  {    32,     12,      0, }, /* 232 */
  {    32,      6,      0, }, /* 233 */
  {    32,     13,      0, }, /* 234 */
  {    57,      7,      0, }, /* 235 */
  {    57,     26,      0, }, /* 236 */
  {    57,     21,      0, }, /* 237 */
  {    57,     12,      0, }, /* 238 */
  {    57,     13,      0, }, /* 239 */
  {    57,     15,      0, }, /* 240 */
  {    57,     22,      0, }, /* 241 */
  {    57,     18,      0, }, /* 242 */
  {    57,     10,      0, }, /* 243 */
  {    38,      7,      0, }, /* 244 */
  {    38,     10,      0, }, /* 245 */
  {    38,     12,      0, }, /* 246 */
  {    38,     13,      0, }, /* 247 */
  {    38,     21,      0, }, /* 248 */
  {    38,     26,      0, }, /* 249 */
  {    16,      9,   7264, }, /* 250 */
  {    16,      7,      0, }, /* 251 */
  {    16,      6,      0, }, /* 252 */
  {    23,      7,      0, }, /* 253 */
  {    15,      7,      0, }, /* 254 */
  {    15,     12,      0, }, /* 255 */
  {    15,     26,      0, }, /* 256 */
  {    15,     21,      0, }, /* 257 */
  {    15,     15,      0, }, /* 258 */
  {     8,      7,      0, }, /* 259 */
  {     7,     17,      0, }, /* 260 */
  {     7,      7,      0, }, /* 261 */
  {     7,     21,      0, }, /* 262 */
  {    40,     29,      0, }, /* 263 */
  {    40,      7,      0, }, /* 264 */
  {    40,     22,      0, }, /* 265 */
  {    40,     18,      0, }, /* 266 */
  {    45,      7,      0, }, /* 267 */
  {    45,     14,      0, }, /* 268 */
  {    50,      7,      0, }, /* 269 */
  {    50,     12,      0, }, /* 270 */
  {    24,      7,      0, }, /* 271 */
  {    24,     12,      0, }, /* 272 */
  {     6,      7,      0, }, /* 273 */
  {     6,     12,      0, }, /* 274 */
  {    51,      7,      0, }, /* 275 */
  {    51,     12,      0, }, /* 276 */
  {    31,      7,      0, }, /* 277 */
  {    31,      1,      0, }, /* 278 */
  {    31,     10,      0, }, /* 279 */
  {    31,     12,      0, }, /* 280 */
  {    31,     21,      0, }, /* 281 */
  {    31,      6,      0, }, /* 282 */
  {    31,     23,      0, }, /* 283 */
  {    31,     13,      0, }, /* 284 */
  {    31,     15,      0, }, /* 285 */
  {    37,     21,      0, }, /* 286 */
  {    37,     17,      0, }, /* 287 */
  {    37,     12,      0, }, /* 288 */
  {    37,     29,      0, }, /* 289 */
  {    37,     13,      0, }, /* 290 */
  {    37,      7,      0, }, /* 291 */
  {    37,      6,      0, }, /* 292 */
  {    34,      7,      0, }, /* 293 */
  {    34,     12,      0, }, /* 294 */
  {    34,     10,      0, }, /* 295 */
  {    34,     26,      0, }, /* 296 */
  {    34,     21,      0, }, /* 297 */
  {    34,     13,      0, }, /* 298 */
  {    52,      7,      0, }, /* 299 */
  {    39,      7,      0, }, /* 300 */
  {    39,     10,      0, }, /* 301 */
  {    39,     13,      0, }, /* 302 */
  {    39,     15,      0, }, /* 303 */
  {    39,     26,      0, }, /* 304 */
  {    31,     26,      0, }, /* 305 */
  {     5,      7,      0, }, /* 306 */
  {     5,     12,      0, }, /* 307 */
  {     5,     10,      0, }, /* 308 */
  {     5,     21,      0, }, /* 309 */
  {    90,      7,      0, }, /* 310 */
  {    90,     10,      0, }, /* 311 */
  {    90,     12,      0, }, /* 312 */
  {    90,     13,      0, }, /* 313 */
  {    90,     21,      0, }, /* 314 */
  {    90,      6,      0, }, /* 315 */
  {    61,     12,      0, }, /* 316 */
  {    61,     10,      0, }, /* 317 */
  {    61,      7,      0, }, /* 318 */
  {    61,     13,      0, }, /* 319 */
  {    61,     21,      0, }, /* 320 */
  {    61,     26,      0, }, /* 321 */
  {    75,     12,      0, }, /* 322 */
  {    75,     10,      0, }, /* 323 */
  {    75,      7,      0, }, /* 324 */
  {    75,     13,      0, }, /* 325 */
  {    92,      7,      0, }, /* 326 */
  {    92,     12,      0, }, /* 327 */
  {    92,     10,      0, }, /* 328 */
  {    92,     21,      0, }, /* 329 */
  {    69,      7,      0, }, /* 330 */
  {    69,     10,      0, }, /* 331 */
  {    69,     12,      0, }, /* 332 */
  {    69,     21,      0, }, /* 333 */
  {    69,     13,      0, }, /* 334 */
  {    72,     13,      0, }, /* 335 */
  {    72,      7,      0, }, /* 336 */
  {    72,      6,      0, }, /* 337 */
  {    72,     21,      0, }, /* 338 */
  {     9,     10,      0, }, /* 339 */
  {     9,      7,      0, }, /* 340 */
  {    12,      5,      0, }, /* 341 */
  {    12,      6,      0, }, /* 342 */
  {    33,      5,  35332, }, /* 343 */
  {    33,      5,   3814, }, /* 344 */
  {    33,      5,    -59, }, /* 345 */
  {    33,      9,  -7615, }, /* 346 */
  {    19,      5,      8, }, /* 347 */
  {    19,      9,     -8, }, /* 348 */
  {    19,      5,     74, }, /* 349 */
  {    19,      5,     86, }, /* 350 */
  {    19,      5,    100, }, /* 351 */
  {    19,      5,    128, }, /* 352 */
  {    19,      5,    112, }, /* 353 */
  {    19,      5,    126, }, /* 354 */
  {    19,      8,     -8, }, /* 355 */
  {    19,      5,      9, }, /* 356 */
  {    19,      9,    -74, }, /* 357 */
  {    19,      8,     -9, }, /* 358 */
  {    19,      5,  -7205, }, /* 359 */
  {    19,      9,    -86, }, /* 360 */
  {    19,      9,   -100, }, /* 361 */
  {    19,      9,   -112, }, /* 362 */
  {    19,      9,   -128, }, /* 363 */
  {    19,      9,   -126, }, /* 364 */
  {    27,      1,      0, }, /* 365 */
  {     9,     27,      0, }, /* 366 */
  {     9,     28,      0, }, /* 367 */
  {    27,     11,      0, }, /* 368 */
  {     9,      9,      0, }, /* 369 */
  {     9,      5,      0, }, /* 370 */
  {    19,      9,  -7517, }, /* 371 */
  {    33,      9,  -8383, }, /* 372 */
  {    33,      9,  -8262, }, /* 373 */
  {    33,      9,     28, }, /* 374 */
  {    33,      5,    -28, }, /* 375 */
  {    33,     14,     16, }, /* 376 */
  {    33,     14,    -16, }, /* 377 */
  {    33,     14,      0, }, /* 378 */
  {     9,     26,     26, }, /* 379 */
  {     9,     26,    -26, }, /* 380 */
  {     4,     26,      0, }, /* 381 */
  {    17,      9,     48, }, /* 382 */
  {    17,      5,    -48, }, /* 383 */
  {    33,      9, -10743, }, /* 384 */
  {    33,      9,  -3814, }, /* 385 */
  {    33,      9, -10727, }, /* 386 */
  {    33,      5, -10795, }, /* 387 */
  {    33,      5, -10792, }, /* 388 */
  {    33,      9, -10780, }, /* 389 */
  {    33,      9, -10749, }, /* 390 */
  {    33,      9, -10783, }, /* 391 */
  {    33,      9, -10782, }, /* 392 */
  {    33,      9, -10815, }, /* 393 */
  {    10,      5,      0, }, /* 394 */
  {    10,     26,      0, }, /* 395 */
  {    10,     12,      0, }, /* 396 */
  {    10,     21,      0, }, /* 397 */
  {    10,     15,      0, }, /* 398 */
  {    16,      5,  -7264, }, /* 399 */
  {    58,      7,      0, }, /* 400 */
  {    58,      6,      0, }, /* 401 */
  {    58,     21,      0, }, /* 402 */
  {    58,     12,      0, }, /* 403 */
  {    22,     26,      0, }, /* 404 */
  {    22,      6,      0, }, /* 405 */
  {    22,     14,      0, }, /* 406 */
  {    23,     12,      0, }, /* 407 */
  {    26,      7,      0, }, /* 408 */
  {    26,      6,      0, }, /* 409 */
  {    29,      7,      0, }, /* 410 */
  {    29,      6,      0, }, /* 411 */
  {     3,      7,      0, }, /* 412 */
  {    23,     26,      0, }, /* 413 */
  {    29,     26,      0, }, /* 414 */
  {    22,      7,      0, }, /* 415 */
  {    60,      7,      0, }, /* 416 */
  {    60,      6,      0, }, /* 417 */
  {    60,     26,      0, }, /* 418 */
  {    85,      7,      0, }, /* 419 */
  {    85,      6,      0, }, /* 420 */
  {    85,     21,      0, }, /* 421 */
  {    76,      7,      0, }, /* 422 */
  {    76,      6,      0, }, /* 423 */
  {    76,     21,      0, }, /* 424 */
  {    76,     13,      0, }, /* 425 */
  {    12,      7,      0, }, /* 426 */
  {    12,     21,      0, }, /* 427 */
  {    78,      7,      0, }, /* 428 */
  {    78,     14,      0, }, /* 429 */
  {    78,     12,      0, }, /* 430 */
  {    78,     21,      0, }, /* 431 */
  {    33,      9, -35332, }, /* 432 */
  {    33,      9, -42280, }, /* 433 */
  {    48,      7,      0, }, /* 434 */
  {    48,     12,      0, }, /* 435 */
  {    48,     10,      0, }, /* 436 */
  {    48,     26,      0, }, /* 437 */
  {    64,      7,      0, }, /* 438 */
  {    64,     21,      0, }, /* 439 */
  {    74,     10,      0, }, /* 440 */
  {    74,      7,      0, }, /* 441 */
  {    74,     12,      0, }, /* 442 */
  {    74,     21,      0, }, /* 443 */
  {    74,     13,      0, }, /* 444 */
  {    14,     21,      0, }, /* 445 */
  {    68,     13,      0, }, /* 446 */
  {    68,      7,      0, }, /* 447 */
  {    68,     12,      0, }, /* 448 */
  {    68,     21,      0, }, /* 449 */
  {    73,      7,      0, }, /* 450 */
  {    73,     12,      0, }, /* 451 */
  {    73,     10,      0, }, /* 452 */
  {    73,     21,      0, }, /* 453 */
  {    83,     12,      0, }, /* 454 */
  {    83,     10,      0, }, /* 455 */
  {    83,      7,      0, }, /* 456 */
  {    83,     21,      0, }, /* 457 */
  {    83,      6,      0, }, /* 458 */
  {    83,     13,      0, }, /* 459 */
  {    67,      7,      0, }, /* 460 */
  {    67,     12,      0, }, /* 461 */
  {    67,     10,      0, }, /* 462 */
  {    67,     13,      0, }, /* 463 */
  {    67,     21,      0, }, /* 464 */
  {    38,      6,      0, }, /* 465 */
  {    91,      7,      0, }, /* 466 */
  {    91,     12,      0, }, /* 467 */
  {    91,      6,      0, }, /* 468 */
  {    91,     21,      0, }, /* 469 */
  {    86,      7,      0, }, /* 470 */
  {    86,     10,      0, }, /* 471 */
  {    86,     12,      0, }, /* 472 */
  {    86,     21,      0, }, /* 473 */
  {    86,     13,      0, }, /* 474 */
  {     9,      4,      0, }, /* 475 */
  {     9,      3,      0, }, /* 476 */
  {    25,     25,      0, }, /* 477 */
  {     0,     24,      0, }, /* 478 */
  {    35,      7,      0, }, /* 479 */
  {    19,     14,      0, }, /* 480 */
  {    19,     15,      0, }, /* 481 */
  {    19,     26,      0, }, /* 482 */
  {    70,      7,      0, }, /* 483 */
  {    66,      7,      0, }, /* 484 */
  {    41,      7,      0, }, /* 485 */
  {    41,     15,      0, }, /* 486 */
  {    18,      7,      0, }, /* 487 */
  {    18,     14,      0, }, /* 488 */
  {    59,      7,      0, }, /* 489 */
  {    59,     21,      0, }, /* 490 */
  {    42,      7,      0, }, /* 491 */
  {    42,     21,      0, }, /* 492 */
  {    42,     14,      0, }, /* 493 */
  {    13,      9,     40, }, /* 494 */
  {    13,      5,    -40, }, /* 495 */
  {    46,      7,      0, }, /* 496 */
  {    44,      7,      0, }, /* 497 */
  {    44,     13,      0, }, /* 498 */
  {    11,      7,      0, }, /* 499 */
  {    80,      7,      0, }, /* 500 */
  {    80,     21,      0, }, /* 501 */
  {    80,     15,      0, }, /* 502 */
  {    65,      7,      0, }, /* 503 */
  {    65,     15,      0, }, /* 504 */
  {    65,     21,      0, }, /* 505 */
  {    71,      7,      0, }, /* 506 */
  {    71,     21,      0, }, /* 507 */
  {    30,      7,      0, }, /* 508 */
  {    30,     12,      0, }, /* 509 */
  {    30,     15,      0, }, /* 510 */
  {    30,     21,      0, }, /* 511 */
  {    87,      7,      0, }, /* 512 */
  {    87,     15,      0, }, /* 513 */
  {    87,     21,      0, }, /* 514 */
  {    77,      7,      0, }, /* 515 */
  {    77,     21,      0, }, /* 516 */
  {    82,      7,      0, }, /* 517 */
  {    82,     15,      0, }, /* 518 */
  {    81,      7,      0, }, /* 519 */
  {    81,     15,      0, }, /* 520 */
  {    88,      7,      0, }, /* 521 */
  {     0,     15,      0, }, /* 522 */
  {    93,     10,      0, }, /* 523 */
  {    93,     12,      0, }, /* 524 */
  {    93,      7,      0, }, /* 525 */
  {    93,     21,      0, }, /* 526 */
  {    93,     15,      0, }, /* 527 */
  {    93,     13,      0, }, /* 528 */
  {    84,     12,      0, }, /* 529 */
  {    84,     10,      0, }, /* 530 */
  {    84,      7,      0, }, /* 531 */
  {    84,     21,      0, }, /* 532 */
  {    84,      1,      0, }, /* 533 */
  {    62,      7,      0, }, /* 534 */
  {    62,     14,      0, }, /* 535 */
  {    62,     21,      0, }, /* 536 */
  {    79,      7,      0, }, /* 537 */
  {    19,     12,      0, }, /* 538 */
  {    26,     26,      0, }, /* 539 */
};

const pcre_uint8 PRIV(ucd_stage1)[] = { /* 8704 bytes */
  0,  1,  2,  3,  4,  5,  6,  7,  8,  9, 10, 11, 12, 13, 14, 15, /* U+0000 */
 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, /* U+0800 */
 32, 33, 34, 34, 35, 36, 37, 38, 39, 40, 40, 40, 41, 42, 43, 44, /* U+1000 */
 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, /* U+1800 */
 61, 62, 63, 64, 65, 65, 66, 67, 68, 69, 70, 71, 72, 70, 73, 74, /* U+2000 */
 75, 75, 65, 76, 65, 65, 77, 17, 78, 79, 80, 81, 82, 83, 84, 85, /* U+2800 */
 86, 87, 88, 89, 90, 91, 92, 70, 93, 93, 93, 93, 93, 93, 93, 93, /* U+3000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+3800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+4000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 94, 93, 93, 93, 93, /* U+4800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+5000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+5800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+6000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+6800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+7000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+7800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+8000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+8800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+9000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 95, /* U+9800 */
 96, 97, 97, 97, 97, 97, 97, 97, 97, 98, 99, 99,100,101,102,103, /* U+A000 */
104,105,106,107,108,109,110,111, 34, 34, 34, 34, 34, 34, 34, 34, /* U+A800 */
 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, /* U+B000 */
 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, /* U+B800 */
 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, /* U+C000 */
 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, /* U+C800 */
 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 34,112, /* U+D000 */
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113, /* U+D800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+E000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+E800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F000 */
114,114, 93, 93,115,116,117,118,119,119,120,121,122,123,124,125, /* U+F800 */
126,127,128,129, 17,130,131,132,133,134, 17, 17, 17, 17, 17, 17, /* U+10000 */
135, 17,136, 17,137, 17,138, 17,139, 17, 17, 17,140, 17, 17, 17, /* U+10800 */
141,142, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+11000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+11800 */
143,143,143,143,143,143,144, 17,145, 17, 17, 17, 17, 17, 17, 17, /* U+12000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+12800 */
146,146,146,146,146,146,146,146,147, 17, 17, 17, 17, 17, 17, 17, /* U+13000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+13800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+14000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+14800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+15000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+15800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+16000 */
148,148,148,148,149, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+16800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+17000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+17800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+18000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+18800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+19000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+19800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+1A000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+1A800 */
150, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+1B000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+1B800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+1C000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+1C800 */
 70,151,152,153,154, 17,155, 17,156,157,158,159,160,161,162,163, /* U+1D000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+1D800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+1E000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+1E800 */
164,165,166,167,168, 17,169,170,171,172,173,174,175,176,177, 17, /* U+1F000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+1F800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+20000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+20800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+21000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+21800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+22000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+22800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+23000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+23800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+24000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+24800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+25000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+25800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+26000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+26800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+27000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+27800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+28000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+28800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+29000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+29800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93,178, 93, 93, /* U+2A000 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, /* U+2A800 */
 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93, 93,179, 93, /* U+2B000 */
180, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+2B800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+2C000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+2C800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+2D000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+2D800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+2E000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+2E800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+2F000 */
 93, 93, 93, 93,180, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+2F800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+30000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+30800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+31000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+31800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+32000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+32800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+33000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+33800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+34000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+34800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+35000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+35800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+36000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+36800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+37000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+37800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+38000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+38800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+39000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+39800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3A000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3A800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3B000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3B800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3C000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3C800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3D000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3D800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3E000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3E800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3F000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+3F800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+40000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+40800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+41000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+41800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+42000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+42800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+43000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+43800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+44000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+44800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+45000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+45800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+46000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+46800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+47000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+47800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+48000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+48800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+49000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+49800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4A000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4A800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4B000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4B800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4C000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4C800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4D000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4D800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4E000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4E800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4F000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+4F800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+50000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+50800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+51000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+51800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+52000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+52800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+53000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+53800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+54000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+54800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+55000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+55800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+56000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+56800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+57000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+57800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+58000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+58800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+59000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+59800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5A000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5A800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5B000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5B800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5C000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5C800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5D000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5D800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5E000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5E800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5F000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+5F800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+60000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+60800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+61000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+61800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+62000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+62800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+63000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+63800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+64000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+64800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+65000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+65800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+66000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+66800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+67000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+67800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+68000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+68800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+69000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+69800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6A000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6A800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6B000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6B800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6C000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6C800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6D000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6D800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6E000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6E800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6F000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+6F800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+70000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+70800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+71000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+71800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+72000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+72800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+73000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+73800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+74000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+74800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+75000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+75800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+76000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+76800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+77000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+77800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+78000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+78800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+79000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+79800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7A000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7A800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7B000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7B800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7C000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7C800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7D000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7D800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7E000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7E800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7F000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+7F800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+80000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+80800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+81000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+81800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+82000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+82800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+83000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+83800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+84000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+84800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+85000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+85800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+86000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+86800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+87000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+87800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+88000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+88800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+89000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+89800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8A000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8A800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8B000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8B800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8C000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8C800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8D000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8D800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8E000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8E800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8F000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+8F800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+90000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+90800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+91000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+91800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+92000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+92800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+93000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+93800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+94000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+94800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+95000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+95800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+96000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+96800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+97000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+97800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+98000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+98800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+99000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+99800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9A000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9A800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9B000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9B800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9C000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9C800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9D000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9D800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9E000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9E800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9F000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+9F800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A0000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A0800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A1000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A1800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A2000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A2800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A3000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A3800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A4000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A4800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A5000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A5800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A6000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A6800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A7000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A7800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A8000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A8800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A9000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+A9800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AA000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AA800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AB000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AB800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AC000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AC800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AD000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AD800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AE000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AE800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AF000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+AF800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B0000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B0800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B1000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B1800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B2000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B2800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B3000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B3800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B4000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B4800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B5000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B5800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B6000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B6800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B7000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B7800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B8000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B8800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B9000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+B9800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BA000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BA800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BB000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BB800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BC000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BC800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BD000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BD800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BE000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BE800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BF000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+BF800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C0000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C0800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C1000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C1800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C2000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C2800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C3000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C3800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C4000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C4800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C5000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C5800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C6000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C6800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C7000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C7800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C8000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C8800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C9000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+C9800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CA000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CA800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CB000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CB800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CC000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CC800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CD000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CD800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CE000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CE800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CF000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+CF800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D0000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D0800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D1000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D1800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D2000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D2800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D3000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D3800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D4000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D4800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D5000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D5800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D6000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D6800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D7000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D7800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D8000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D8800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D9000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+D9800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DA000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DA800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DB000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DB800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DC000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DC800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DD000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DD800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DE000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DE800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DF000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+DF800 */
181, 17,182,183, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E0000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E0800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E1000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E1800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E2000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E2800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E3000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E3800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E4000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E4800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E5000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E5800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E6000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E6800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E7000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E7800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E8000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E8800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E9000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+E9800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+EA000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+EA800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+EB000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+EB800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+EC000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+EC800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+ED000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+ED800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+EE000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+EE800 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+EF000 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, /* U+EF800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F0000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F0800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F1000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F1800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F2000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F2800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F3000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F3800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F4000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F4800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F5000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F5800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F6000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F6800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F7000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F7800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F8000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F8800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F9000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+F9800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FA000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FA800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FB000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FB800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FC000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FC800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FD000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FD800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FE000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FE800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+FF000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,184, /* U+FF800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+100000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+100800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+101000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+101800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+102000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+102800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+103000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+103800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+104000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+104800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+105000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+105800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+106000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+106800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+107000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+107800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+108000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+108800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+109000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+109800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10A000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10A800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10B000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10B800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10C000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10C800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10D000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10D800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10E000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10E800 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114, /* U+10F000 */
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,184, /* U+10F800 */
};

const pcre_uint16 PRIV(ucd_stage2)[] = { /* 47360 bytes, block = 128 */
/* block 0 */
  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
  1,  2,  2,  2,  3,  2,  2,  2,  4,  5,  2,  6,  2,  7,  2,  2,
  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  2,  2,  6,  6,  6,  2,
  2,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,
  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  4,  2,  5, 10, 11,
 10, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12,
 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12,  4,  6,  5,  6,  0,

/* block 1 */
  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,
  1,  2,  3,  3,  3,  3, 13, 13, 10, 13, 14, 15,  6, 16, 13, 10,
 13,  6, 17, 17, 10, 18, 13,  2, 10, 17, 14, 19, 17, 17, 17,  2,
  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,
  9,  9,  9,  9,  9,  9,  9,  6,  9,  9,  9,  9,  9,  9,  9, 14,
 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12,
 12, 12, 12, 12, 12, 12, 12,  6, 12, 12, 12, 12, 12, 12, 12, 20,

/* block 2 */
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 23, 24, 21, 22, 21, 22, 21, 22, 14, 21, 22, 21, 22, 21, 22, 21,
 22, 21, 22, 21, 22, 21, 22, 21, 22, 14, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 25, 21, 22, 21, 22, 21, 22, 26,

/* block 3 */
 27, 28, 21, 22, 21, 22, 29, 21, 22, 30, 30, 21, 22, 14, 31, 32,
 33, 21, 22, 30, 34, 35, 36, 37, 21, 22, 38, 14, 36, 39, 40, 41,
 21, 22, 21, 22, 21, 22, 42, 21, 22, 42, 14, 14, 21, 22, 42, 21,
 22, 43, 43, 21, 22, 21, 22, 44, 21, 22, 14, 45, 21, 22, 14, 46,
 45, 45, 45, 45, 47, 48, 49, 47, 48, 49, 47, 48, 49, 21, 22, 21,
 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 50, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 14, 47, 48, 49, 21, 22, 51, 52, 21, 22, 21, 22, 21, 22, 21, 22,

/* block 4 */
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 53, 14, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 14, 14, 14, 14, 14, 14, 54, 21, 22, 55, 56, 57,
 57, 21, 22, 58, 59, 60, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 61, 62, 63, 64, 65, 14, 66, 66, 14, 67, 14, 68, 14, 14, 14, 14,
 66, 14, 14, 69, 14, 70, 14, 14, 71, 72, 14, 73, 14, 14, 14, 72,
 14, 74, 75, 14, 14, 76, 14, 14, 14, 14, 14, 14, 14, 77, 14, 14,

/* block 5 */
 78, 14, 14, 78, 14, 14, 14, 14, 78, 79, 80, 80, 81, 14, 14, 14,
 14, 14, 82, 14, 45, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14,
 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14,
 83, 83, 83, 83, 83, 83, 83, 83, 83, 84, 84, 84, 84, 84, 84, 84,
 84, 84, 10, 10, 10, 10, 84, 84, 84, 84, 84, 84, 84, 84, 84, 84,
 84, 84, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10,
 83, 83, 83, 83, 83, 10, 10, 10, 10, 10, 85, 85, 84, 10, 84, 10,
 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10,

/* block 6 */
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 87, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 88, 89, 88, 89, 84, 90, 88, 89, 91, 91, 92, 93, 93, 93,  2, 91,

/* block 7 */
 91, 91, 91, 91, 90, 10, 94,  2, 95, 95, 95, 91, 96, 91, 97, 97,
 98, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99, 99,
 99, 99, 91, 99, 99, 99, 99, 99, 99, 99, 99, 99,100,101,101,101,
 98,102,102,102,102,102,102,102,102,102,102,102,102,102,102,102,
102,102,103,102,102,102,102,102,102,102,102,102,104,105,105,106,
107,108,109,109,109,110,111,112, 88, 89, 88, 89, 88, 89, 88, 89,
 88, 89,113,114,113,114,113,114,113,114,113,114,113,114,113,114,
115,116,117, 98,118,119,120, 88, 89,121, 88, 89, 98,122,122,122,

/* block 8 */
123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,123,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,124,
125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,
125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,125,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,

/* block 9 */
127,128,129,130,130, 86, 86,130,131,131,127,128,127,128,127,128,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
132,127,128,127,128,127,128,127,128,127,128,127,128,127,128,133,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,

/* block 10 */
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
127,128,127,128,127,128,127,128, 91, 91, 91, 91, 91, 91, 91, 91,
 91,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,134,
134,134,134,134,134,134,134, 91, 91,135,136,136,136,136,136,136,
 91,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,
137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,137,

/* block 11 */
137,137,137,137,137,137,137,138, 91,  2,139, 91, 91, 91, 91, 91,
 91,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,140,
140,140,140,140,140,140,140,140,140,140,140,140,140,140,141,140,
142,140,140,142,140,140,142,140, 91, 91, 91, 91, 91, 91, 91, 91,
143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,143,
143,143,143,143,143,143,143,143,143,143,143, 91, 91, 91, 91, 91,
143,143,143,142,142, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 12 */
144,144,144,144, 91, 91,145,145,145,146,146,147,  2,146,148,148,
149,149,149,149,149,149,149,149,149,149,149,  2, 91, 91,146,  2,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
 84,150,150,150,150,150,150,150,150,150,150, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86,149,149,149,149,149,149,149,149,149, 86,
  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,146,146,146,146,150,150,
 86,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,

/* block 13 */
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,146,150,149,149,149,149,149,149,149, 16,148,149,
149,149,149,149,149,151,151,149,149,148,149,149,149,149,150,150,
152,152,152,152,152,152,152,152,152,152,150,150,150,148,148,150,

/* block 14 */
153,153,153,153,153,153,153,153,153,153,153,153,153,153, 91,154,
155,156,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,155,
156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,156,
156,156,156,156,156,156,156,156,156,156,156, 91, 91,155,155,155,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,

/* block 15 */
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,158,158,158,158,158,158,158,158,158,158,
158,157, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
159,159,159,159,159,159,159,159,159,159,160,160,160,160,160,160,
160,160,160,160,160,160,160,160,160,160,160,160,160,160,160,160,
160,160,160,160,160,160,160,160,160,160,160,161,161,161,161,161,
161,161,161,161,162,162,163,164,164,164,162, 91, 91, 91, 91, 91,

/* block 16 */
165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,165,
165,165,165,165,165,165,166,166,166,166,167,166,166,166,166,166,
166,166,166,166,167,166,166,166,167,166,166,166,166,166, 91, 91,
168,168,168,168,168,168,168,168,168,168,168,168,168,168,168, 91,
169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,169,
169,169,169,169,169,169,169,169,169,170,170,170, 91, 91,171, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 17 */
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 18 */
172,172,172,173,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,172,173,172,174,173,173,
173,172,172,172,172,172,172,172,172,173,173,173,173,172,173,173,
174, 86, 86,172,172,172,172,172,174,174,174,174,174,174,174,174,
174,174,172,172,  2,  2,175,175,175,175,175,175,175,175,175,175,
  2,176,174,174,174,174,174,174, 91,174,174,174,174,174,174,174,

/* block 19 */
 91,177,178,178, 91,179,179,179,179,179,179,179,179, 91, 91,179,
179, 91, 91,179,179,179,179,179,179,179,179,179,179,179,179,179,
179,179,179,179,179,179,179,179,179, 91,179,179,179,179,179,179,
179, 91,179, 91, 91, 91,179,179,179,179, 91, 91,177,179,178,178,
178,177,177,177,177, 91, 91,178,178, 91, 91,178,178,177,179, 91,
 91, 91, 91, 91, 91, 91, 91,178, 91, 91, 91, 91,179,179, 91,179,
179,179,177,177, 91, 91,180,180,180,180,180,180,180,180,180,180,
179,179,181,181,182,182,182,182,182,182,183,181, 91, 91, 91, 91,

/* block 20 */
 91,184,184,185, 91,186,186,186,186,186,186, 91, 91, 91, 91,186,
186, 91, 91,186,186,186,186,186,186,186,186,186,186,186,186,186,
186,186,186,186,186,186,186,186,186, 91,186,186,186,186,186,186,
186, 91,186,186, 91,186,186, 91,186,186, 91, 91,184, 91,185,185,
185,184,184, 91, 91, 91, 91,184,184, 91, 91,184,184,184, 91, 91,
 91,184, 91, 91, 91, 91, 91, 91, 91,186,186,186,186, 91,186, 91,
 91, 91, 91, 91, 91, 91,187,187,187,187,187,187,187,187,187,187,
184,184,186,186,186,184, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 21 */
 91,188,188,189, 91,190,190,190,190,190,190,190,190,190, 91,190,
190,190, 91,190,190,190,190,190,190,190,190,190,190,190,190,190,
190,190,190,190,190,190,190,190,190, 91,190,190,190,190,190,190,
190, 91,190,190, 91,190,190,190,190,190, 91, 91,188,190,189,189,
189,188,188,188,188,188, 91,188,188,189, 91,189,189,188, 91, 91,
190, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
190,190,188,188, 91, 91,191,191,191,191,191,191,191,191,191,191,
 91,192, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 22 */
 91,193,194,194, 91,195,195,195,195,195,195,195,195, 91, 91,195,
195, 91, 91,195,195,195,195,195,195,195,195,195,195,195,195,195,
195,195,195,195,195,195,195,195,195, 91,195,195,195,195,195,195,
195, 91,195,195, 91,195,195,195,195,195, 91, 91,193,195,194,193,
194,193,193,193,193, 91, 91,194,194, 91, 91,194,194,193, 91, 91,
 91, 91, 91, 91, 91, 91,193,194, 91, 91, 91, 91,195,195, 91,195,
195,195,193,193, 91, 91,196,196,196,196,196,196,196,196,196,196,
197,195,198,198,198,198,198,198, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 23 */
 91, 91,199,200, 91,200,200,200,200,200,200, 91, 91, 91,200,200,
200, 91,200,200,200,200, 91, 91, 91,200,200, 91,200, 91,200,200,
 91, 91, 91,200,200, 91, 91, 91,200,200,200, 91, 91, 91,200,200,
200,200,200,200,200,200,200,200,200,200, 91, 91, 91, 91,201,201,
199,201,201, 91, 91, 91,201,201,201, 91,201,201,201,199, 91, 91,
200, 91, 91, 91, 91, 91, 91,201, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91,202,202,202,202,202,202,202,202,202,202,
203,203,203,204,204,204,204,204,204,205,204, 91, 91, 91, 91, 91,

/* block 24 */
 91,206,206,206, 91,207,207,207,207,207,207,207,207, 91,207,207,
207, 91,207,207,207,207,207,207,207,207,207,207,207,207,207,207,
207,207,207,207,207,207,207,207,207, 91,207,207,207,207,207,207,
207,207,207,207, 91,207,207,207,207,207, 91, 91, 91,207,208,208,
208,206,206,206,206, 91,208,208,208, 91,208,208,208,208, 91, 91,
 91, 91, 91, 91, 91,208,208, 91,207,207, 91, 91, 91, 91, 91, 91,
207,207,208,208, 91, 91,209,209,209,209,209,209,209,209,209,209,
 91, 91, 91, 91, 91, 91, 91, 91,210,210,210,210,210,210,210,211,

/* block 25 */
 91, 91,212,212, 91,213,213,213,213,213,213,213,213, 91,213,213,
213, 91,213,213,213,213,213,213,213,213,213,213,213,213,213,213,
213,213,213,213,213,213,213,213,213, 91,213,213,213,213,213,213,
213,213,213,213, 91,213,213,213,213,213, 91, 91,214,213,212,214,
212,212,212,212,212, 91,214,212,212, 91,212,212,214,214, 91, 91,
 91, 91, 91, 91, 91,212,212, 91, 91, 91, 91, 91, 91, 91,213, 91,
213,213,214,214, 91, 91,215,215,215,215,215,215,215,215,215,215,
 91,213,213, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 26 */
 91, 91,216,216, 91,217,217,217,217,217,217,217,217, 91,217,217,
217, 91,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,217,
217,217,217,217,217,217,217,217,217,217,217, 91, 91,217,216,216,
216,218,218,218,218, 91,216,216,216, 91,216,216,216,218,217, 91,
 91, 91, 91, 91, 91, 91, 91,216, 91, 91, 91, 91, 91, 91, 91, 91,
217,217,218,218, 91, 91,219,219,219,219,219,219,219,219,219,219,
220,220,220,220,220,220, 91, 91, 91,221,217,217,217,217,217,217,

/* block 27 */
 91, 91,222,222, 91,223,223,223,223,223,223,223,223,223,223,223,
223,223,223,223,223,223,223, 91, 91, 91,223,223,223,223,223,223,
223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,223,
223,223, 91,223,223,223,223,223,223,223,223,223, 91,223, 91, 91,
223,223,223,223,223,223,223, 91, 91, 91,224, 91, 91, 91, 91,222,
222,222,224,224,224, 91,224, 91,222,222,222,222,222,222,222,222,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91,222,222,225, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 28 */
 91,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,226,
226,227,226,226,227,227,227,227,227,227,227, 91, 91, 91, 91,  3,
226,226,226,226,226,226,228,227,227,227,227,227,227,227,227,229,
230,230,230,230,230,230,230,230,230,230,229,229, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 29 */
 91,231,231, 91,231, 91, 91,231,231, 91,231, 91, 91,231, 91, 91,
 91, 91, 91, 91,231,231,231,231, 91,231,231,231,231,231,231,231,
 91,231,231,231, 91,231, 91,231, 91, 91,231,231, 91,231,231,231,
231,232,231,231,232,232,232,232,232,232, 91,232,232,231, 91, 91,
231,231,231,231,231, 91,233, 91,232,232,232,232,232,232, 91, 91,
234,234,234,234,234,234,234,234,234,234, 91, 91,231,231, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 30 */
235,236,236,236,237,237,237,237,237,237,237,237,237,237,237,237,
237,237,237,236,236,236,236,236,238,238,236,236,236,236,236,236,
239,239,239,239,239,239,239,239,239,239,240,240,240,240,240,240,
240,240,240,240,236,238,236,238,236,238,241,242,241,242,243,243,
235,235,235,235,235,235,235,235, 91,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235, 91, 91, 91,
 91,238,238,238,238,238,238,238,238,238,238,238,238,238,238,243,

/* block 31 */
238,238,238,238,238,237,238,238,235,235,235,235,235,238,238,238,
238,238,238,238,238,238,238,238, 91,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238, 91,236,236,
236,236,236,236,236,236,238,236,236,236,236,236,236, 91,236,236,
237,237,237,237,237, 13, 13, 13, 13,237,237, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 32 */
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
244,244,244,244,244,244,244,244,244,244,244,245,245,246,246,246,
246,245,246,246,246,246,246,246,245,246,246,245,245,246,246,244,
247,247,247,247,247,247,247,247,247,247,248,248,248,248,248,248,
244,244,244,244,244,244,245,245,246,246,244,244,244,244,246,246,
246,244,245,245,245,244,244,245,245,245,245,245,245,245,244,244,
244,246,246,246,246,244,244,244,244,244,244,244,244,244,244,244,

/* block 33 */
244,244,246,245,245,246,246,245,245,245,245,245,245,246,244,245,
247,247,247,247,247,247,247,247,247,247,245,245,245,246,249,249,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,250,
250,250,250,250,250,250, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
251,251,251,251,251,251,251,251,251,251,251,251,251,251,251,251,
251,251,251,251,251,251,251,251,251,251,251,251,251,251,251,251,
251,251,251,251,251,251,251,251,251,251,251,  2,252, 91, 91, 91,

/* block 34 */
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,

/* block 35 */
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254, 91,254,254,254,254, 91, 91,
254,254,254,254,254,254,254, 91,254, 91,254,254,254,254, 91, 91,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,

/* block 36 */
254,254,254,254,254,254,254,254,254, 91,254,254,254,254, 91, 91,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254, 91,254,254,254,254, 91, 91,254,254,254,254,254,254,254, 91,
254, 91,254,254,254,254, 91, 91,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254, 91,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,

/* block 37 */
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254, 91,254,254,254,254, 91, 91,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254,254,254,254,254, 91, 91,255,255,255,
256,257,257,257,257,257,257,257,257,258,258,258,258,258,258,258,
258,258,258,258,258,258,258,258,258,258,258,258,258, 91, 91, 91,

/* block 38 */
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
256,256,256,256,256,256,256,256,256,256, 91, 91, 91, 91, 91, 91,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,259,
259,259,259,259,259, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 39 */
260,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,

/* block 40 */
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,

/* block 41 */
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,262,262,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,

/* block 42 */
263,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,265,266, 91, 91, 91,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,267,
267,267,267,267,267,267,267,267,267,267,267,  2,  2,  2,268,268,
268, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 43 */
269,269,269,269,269,269,269,269,269,269,269,269,269, 91,269,269,
269,269,270,270,270, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,272,272,272,  2,  2, 91, 91, 91, 91, 91, 91, 91, 91, 91,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,274,274, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
275,275,275,275,275,275,275,275,275,275,275,275,275, 91,275,275,
275, 91,276,276, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 44 */
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,277,
277,277,277,277,278,278,279,280,280,280,280,280,280,280,279,279,
279,279,279,279,279,279,280,279,279,280,280,280,280,280,280,280,
280,280,280,280,281,281,281,282,281,281,281,283,277,280, 91, 91,
284,284,284,284,284,284,284,284,284,284, 91, 91, 91, 91, 91, 91,
285,285,285,285,285,285,285,285,285,285, 91, 91, 91, 91, 91, 91,

/* block 45 */
286,286,  2,  2,286,  2,287,286,286,286,286,288,288,288,289, 91,
290,290,290,290,290,290,290,290,290,290, 91, 91, 91, 91, 91, 91,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,292,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 46 */
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,288,291, 91, 91, 91, 91, 91,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,261,
261,261,261,261,261,261, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 47 */
293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,293,
293,293,293,293,293,293,293,293,293,293,293,293,293, 91, 91, 91,
294,294,294,295,295,295,295,294,294,295,295,295, 91, 91, 91, 91,
295,295,294,295,295,295,295,295,295,294,294,294, 91, 91, 91, 91,
296, 91, 91, 91,297,297,298,298,298,298,298,298,298,298,298,298,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299, 91, 91,
299,299,299,299,299, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 48 */
300,300,300,300,300,300,300,300,300,300,300,300,300,300,300,300,
300,300,300,300,300,300,300,300,300,300,300,300,300,300,300,300,
300,300,300,300,300,300,300,300,300,300,300,300, 91, 91, 91, 91,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,300,300,300,300,300,300,300,301,301, 91, 91, 91, 91, 91, 91,
302,302,302,302,302,302,302,302,302,302,303, 91, 91, 91,304,304,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,
305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,305,

/* block 49 */
306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,306,
306,306,306,306,306,306,306,307,307,308,308,308, 91, 91,309,309,
310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,
310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,
310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,310,
310,310,310,310,310,311,312,311,312,312,312,312,312,312,312, 91,
312,311,312,311,311,312,312,312,312,312,312,312,312,311,311,311,
311,311,311,312,312,312,312,312,312,312,312,312,312, 91, 91,312,

/* block 50 */
313,313,313,313,313,313,313,313,313,313, 91, 91, 91, 91, 91, 91,
313,313,313,313,313,313,313,313,313,313, 91, 91, 91, 91, 91, 91,
314,314,314,314,314,314,314,315,314,314,314,314,314,314, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 51 */
316,316,316,316,317,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,318,
318,318,318,318,316,317,316,316,316,316,316,317,316,317,317,317,
317,317,316,317,317,318,318,318,318,318,318,318, 91, 91, 91, 91,
319,319,319,319,319,319,319,319,319,319,320,320,320,320,320,320,
320,321,321,321,321,321,321,321,321,321,321,316,316,316,316,316,
316,316,316,316,321,321,321,321,321,321,321,321,321, 91, 91, 91,

/* block 52 */
322,322,323,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,324,
324,323,322,322,322,322,323,323,322,322,323, 91, 91, 91,324,324,
325,325,325,325,325,325,325,325,325,325, 91, 91, 91, 91, 91, 91,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,326,
326,326,326,326,326,326,327,328,327,327,328,328,328,327,328,327,
327,327,328,328, 91, 91, 91, 91, 91, 91, 91, 91,329,329,329,329,

/* block 53 */
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,330,
330,330,330,330,331,331,331,331,331,331,331,331,332,332,332,332,
332,332,332,332,331,331,332,332, 91, 91, 91,333,333,333,333,333,
334,334,334,334,334,334,334,334,334,334, 91, 91, 91,330,330,330,
335,335,335,335,335,335,335,335,335,335,336,336,336,336,336,336,
336,336,336,336,336,336,336,336,336,336,336,336,336,336,336,336,
336,336,336,336,336,336,336,336,337,337,337,337,337,337,338,338,

/* block 54 */
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 86, 86, 86,  2, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86,339, 86, 86, 86, 86, 86, 86, 86,340,340,340,340, 86,340,340,
340,340,339, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 55 */
 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14,
 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14,
 14, 14, 14, 14, 14, 14, 98, 98, 98, 98, 98,341, 83, 83, 83, 83,
 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83,
 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83,
 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 92, 92, 92,
 92, 92, 14, 14, 14, 14, 98, 98, 98, 98, 98, 14, 14, 14, 14, 14,
 14, 14, 14, 14, 14, 14, 14, 14,342,343, 14, 14, 14,344, 14, 14,

/* block 56 */
 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14,
 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 83, 83, 83, 83, 83,
 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83,
 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 92,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 86, 86, 86, 86,

/* block 57 */
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,

/* block 58 */
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 14, 14, 14, 14, 14,345, 14, 14,346, 14,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,

/* block 59 */
347,347,347,347,347,347,347,347,348,348,348,348,348,348,348,348,
347,347,347,347,347,347, 91, 91,348,348,348,348,348,348, 91, 91,
347,347,347,347,347,347,347,347,348,348,348,348,348,348,348,348,
347,347,347,347,347,347,347,347,348,348,348,348,348,348,348,348,
347,347,347,347,347,347, 91, 91,348,348,348,348,348,348, 91, 91,
 98,347, 98,347, 98,347, 98,347, 91,348, 91,348, 91,348, 91,348,
347,347,347,347,347,347,347,347,348,348,348,348,348,348,348,348,
349,349,350,350,350,350,351,351,352,352,353,353,354,354, 91, 91,

/* block 60 */
347,347,347,347,347,347,347,347,355,355,355,355,355,355,355,355,
347,347,347,347,347,347,347,347,355,355,355,355,355,355,355,355,
347,347,347,347,347,347,347,347,355,355,355,355,355,355,355,355,
347,347, 98,356, 98, 91, 98, 98,348,348,357,357,358, 90,359, 90,
 90, 90, 98,356, 98, 91, 98, 98,360,360,360,360,358, 90, 90, 90,
347,347, 98, 98, 91, 91, 98, 98,348,348,361,361, 91, 90, 90, 90,
347,347, 98, 98, 98,117, 98, 98,348,348,362,362,121, 90, 90, 90,
 91, 91, 98,356, 98, 91, 98, 98,363,363,364,364,358, 90, 90, 91,

/* block 61 */
  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1, 16,365,365, 16, 16,
  7,  7,  7,  7,  7,  7,  2,  2, 15, 19,  4, 15, 15, 19,  4, 15,
  2,  2,  2,  2,  2,  2,  2,  2,366,367, 16, 16, 16, 16, 16,  1,
  2,  2,  2,  2,  2,  2,  2,  2,  2, 15, 19,  2,  2,  2,  2, 11,
 11,  2,  2,  2,  6,  4,  5,  2,  2,  2,  2,  2,  2,  2,  2,  2,
  2,  2,  6,  2, 11,  2,  2,  2,  2,  2,  2,  2,  2,  2,  2,  1,
 16, 16, 16, 16, 16, 91, 91, 91, 91, 91, 16, 16, 16, 16, 16, 16,
 17, 83, 91, 91, 17, 17, 17, 17, 17, 17,  6,  6,  6,  4,  5, 83,

/* block 62 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,  6,  6,  6,  4,  5, 91,
 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 83, 91, 91, 91,
  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,
  3,  3,  3,  3,  3,  3,  3,  3,  3,  3, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,368,368,368,
368, 86,368,368,368, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 63 */
 13, 13,369, 13, 13, 13, 13,369, 13, 13,370,369,369,369,370,370,
369,369,369,370, 13,369, 13, 13,  6,369,369,369,369,369, 13, 13,
 13, 13, 13, 13,369, 13,371, 13,369, 13,372,373,369,369, 13,370,
369,369,374,369,370,340,340,340,340,370, 13, 13,370,370,369,369,
  6,  6,  6,  6,  6,369,370,370,370,370, 13,  6, 13, 13,375, 13,
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,
376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,376,
377,377,377,377,377,377,377,377,377,377,377,377,377,377,377,377,

/* block 64 */
378,378,378, 21, 22,378,378,378,378, 17, 91, 91, 91, 91, 91, 91,
  6,  6,  6,  6,  6, 13, 13, 13, 13, 13,  6,  6, 13, 13, 13, 13,
  6, 13, 13,  6, 13, 13,  6, 13, 13, 13, 13, 13, 13, 13,  6, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,  6,  6,
 13, 13,  6, 13,  6, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,

/* block 65 */
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,

/* block 66 */
 13, 13, 13, 13, 13, 13, 13, 13,  6,  6,  6,  6, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
  6,  6, 13, 13, 13, 13, 13, 13, 13,  4,  5, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,  6, 13, 13, 13,

/* block 67 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,  6,  6,  6,  6,
  6,  6, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 68 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,

/* block 69 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13,379,379,379,379,379,379,379,379,379,379,
379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,379,
380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,380,
380,380,380,380,380,380,380,380,380,380, 17, 17, 17, 17, 17, 17,
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,

/* block 70 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,

/* block 71 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13,  6, 13, 13, 13, 13, 13, 13, 13, 13,
 13,  6, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13,  6,  6,  6,  6,  6,  6,  6,  6,

/* block 72 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,  6,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,

/* block 73 */
 91, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13,  4,  5,  4,  5,  4,  5,  4,  5,
  4,  5,  4,  5,  4,  5, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,

/* block 74 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,
 17, 17, 17, 17, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
  6,  6,  6,  6,  6,  4,  5,  6,  6,  6,  6, 91,  6, 91,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  4,  5,  4,  5,  4,  5,  4,  5,  4,  5,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,

/* block 75 */
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,
381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,381,

/* block 76 */
  6,  6,  6,  4,  5,  4,  5,  4,  5,  4,  5,  4,  5,  4,  5,  4,
  5,  4,  5,  4,  5,  4,  5,  4,  5,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  4,  5,  4,  5,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  4,  5,  6,  6,

/* block 77 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,  6,
  6,  6,  6,  6,  6, 13, 13,  6,  6,  6,  6,  6,  6, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 78 */
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,382,
382,382,382,382,382,382,382,382,382,382,382,382,382,382,382, 91,
383,383,383,383,383,383,383,383,383,383,383,383,383,383,383,383,
383,383,383,383,383,383,383,383,383,383,383,383,383,383,383,383,
383,383,383,383,383,383,383,383,383,383,383,383,383,383,383, 91,
 21, 22,384,385,386,387,388, 21, 22, 21, 22, 21, 22,389,390,391,
392, 14, 21, 22, 14, 21, 22, 14, 14, 14, 14, 14, 14, 83,393,393,

/* block 79 */
113,114,113,114,113,114,113,114,113,114,113,114,113,114,113,114,
113,114,113,114,113,114,113,114,113,114,113,114,113,114,113,114,
113,114,113,114,113,114,113,114,113,114,113,114,113,114,113,114,
113,114,113,114,113,114,113,114,113,114,113,114,113,114,113,114,
113,114,113,114,113,114,113,114,113,114,113,114,113,114,113,114,
113,114,113,114,113,114,113,114,113,114,113,114,113,114,113,114,
113,114,113,114,394,395,395,395,395,395,395,113,114,113,114,396,
396,396, 91, 91, 91, 91, 91, 91, 91,397,397,397,397,398,397,397,

/* block 80 */
399,399,399,399,399,399,399,399,399,399,399,399,399,399,399,399,
399,399,399,399,399,399,399,399,399,399,399,399,399,399,399,399,
399,399,399,399,399,399, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,
400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,
400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,400,
400,400,400,400,400,400, 91, 91, 91, 91, 91, 91, 91, 91, 91,401,
402, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,403,

/* block 81 */
254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,254,
254,254,254,254,254,254,254, 91, 91, 91, 91, 91, 91, 91, 91, 91,
254,254,254,254,254,254,254, 91,254,254,254,254,254,254,254, 91,
254,254,254,254,254,254,254, 91,254,254,254,254,254,254,254, 91,
254,254,254,254,254,254,254, 91,254,254,254,254,254,254,254, 91,
254,254,254,254,254,254,254, 91,254,254,254,254,254,254,254, 91,
130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,
130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,130,

/* block 82 */
  2,  2, 15, 19, 15, 19,  2,  2,  2, 15, 19,  2, 15, 19,  2,  2,
  2,  2,  2,  2,  2,  2,  2,  7,  2,  2,  7,  2, 15, 19,  2,  2,
 15, 19,  4,  5,  4,  5,  4,  5,  4,  5,  2,  2,  2,  2,  2, 84,
  2,  2, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 83 */
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404, 91,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 84 */
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,

/* block 85 */
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91,

/* block 86 */
  1,  2,  2,  2, 13,405,340,406,  4,  5,  4,  5,  4,  5,  4,  5,
  4,  5, 13, 13,  4,  5,  4,  5,  4,  5,  4,  5,  7,  4,  5,  5,
 13,406,406,406,406,406,406,406,406,406, 86, 86, 86, 86,407,407,
  7, 84, 84, 84, 84, 84, 13, 13,406,406,406,405,340,  2, 13, 13,
 91,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,

/* block 87 */
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408, 91, 91, 86, 86, 10, 10,409,409,408,
  7,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,  2, 84,411,411,410,

/* block 88 */
 91, 91, 91, 91, 91,412,412,412,412,412,412,412,412,412,412,412,
412,412,412,412,412,412,412,412,412,412,412,412,412,412,412,412,
412,412,412,412,412,412,412,412,412,412,412,412,412,412, 91, 91,
 91,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,

/* block 89 */
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253, 91,
 13, 13, 17, 17, 17, 17, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
412,412,412,412,412,412,412,412,412,412,412,412,412,412,412,412,
412,412,412,412,412,412,412,412,412,412,412, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,

/* block 90 */
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413, 91,
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413, 13,

/* block 91 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,
414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,
414,414,414,414,414,414,414,414,414,414,414,414,414,414,414, 91,

/* block 92 */
414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,
414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,
414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,
414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,
414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,414,
414,414,414,414,414,414,414,414, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,

/* block 93 */
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,

/* block 94 */
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,

/* block 95 */
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 96 */
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,417,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,

/* block 97 */
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,

/* block 98 */
416,416,416,416,416,416,416,416,416,416,416,416,416, 91, 91, 91,
418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,
418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,
418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,418,
418,418,418,418,418,418,418, 91, 91, 91, 91, 91, 91, 91, 91, 91,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,419,
419,419,419,419,419,419,419,419,420,420,420,420,420,420,421,421,

/* block 99 */
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,

/* block 100 */
422,422,422,422,422,422,422,422,422,422,422,422,423,424,424,424,
422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,422,
425,425,425,425,425,425,425,425,425,425,422,422, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
127,128,127,128,127,128,127,128,127,128,127,128,127,128,426,130,
131,131,131,427, 91, 91, 91, 91, 91, 91, 91, 91,130,130,427,342,

/* block 101 */
127,128,127,128,127,128,127,128,127,128,127,128,127,128,127,128,
127,128,127,128,127,128,127,128, 91, 91, 91, 91, 91, 91, 91, 91,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,429,429,429,429,429,429,429,429,429,429,
430,430,431,431,431,431,431,431, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 102 */
 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10, 10,
 10, 10, 10, 10, 10, 10, 10, 84, 84, 84, 84, 84, 84, 84, 84, 84,
 10, 10, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 14, 14, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 21, 22,
 83, 14, 14, 14, 14, 14, 14, 14, 14, 21, 22, 21, 22,432, 21, 22,

/* block 103 */
 21, 22, 21, 22, 21, 22, 21, 22, 84, 10, 10, 21, 22,433, 14, 91,
 21, 22, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 21, 22, 21, 22, 21, 22, 21, 22, 21, 22, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 14, 45, 45, 45, 45, 45,

/* block 104 */
434,434,435,434,434,434,435,434,434,434,434,435,434,434,434,434,
434,434,434,434,434,434,434,434,434,434,434,434,434,434,434,434,
434,434,434,436,436,435,435,436,437,437,437,437, 91, 91, 91, 91,
 17, 17, 17, 17, 17, 17, 13, 13,  3, 13, 91, 91, 91, 91, 91, 91,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,438,
438,438,438,438,439,439,439,439, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 105 */
440,440,441,441,441,441,441,441,441,441,441,441,441,441,441,441,
441,441,441,441,441,441,441,441,441,441,441,441,441,441,441,441,
441,441,441,441,441,441,441,441,441,441,441,441,441,441,441,441,
441,441,441,441,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,442, 91, 91, 91, 91, 91, 91, 91, 91, 91,443,443,
444,444,444,444,444,444,444,444,444,444, 91, 91, 91, 91, 91, 91,
172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,172,
172,172,174,174,174,174,174,174,445,445,445,174, 91, 91, 91, 91,

/* block 106 */
446,446,446,446,446,446,446,446,446,446,447,447,447,447,447,447,
447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,447,
447,447,447,447,447,447,448,448,448,448,448,448,448,448,449,449,
450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,450,
450,450,450,450,450,450,450,451,451,451,451,451,451,451,451,451,
451,451,452,452, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,453,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253, 91, 91, 91,

/* block 107 */
454,454,454,455,456,456,456,456,456,456,456,456,456,456,456,456,
456,456,456,456,456,456,456,456,456,456,456,456,456,456,456,456,
456,456,456,456,456,456,456,456,456,456,456,456,456,456,456,456,
456,456,456,454,455,455,454,454,454,454,455,455,454,455,455,455,
455,457,457,457,457,457,457,457,457,457,457,457,457,457, 91,458,
459,459,459,459,459,459,459,459,459,459, 91, 91, 91, 91,457,457,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 108 */
460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,460,
460,460,460,460,460,460,460,460,460,461,461,461,461,461,461,462,
462,461,461,462,462,461,461, 91, 91, 91, 91, 91, 91, 91, 91, 91,
460,460,460,461,460,460,460,460,460,460,460,460,461,462, 91, 91,
463,463,463,463,463,463,463,463,463,463, 91, 91,464,464,464,464,
244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,244,
465,244,244,244,244,244,244,249,249,249,244,245, 91, 91, 91, 91,

/* block 109 */
466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,
466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,
466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,
467,466,467,467,467,466,466,467,467,466,466,466,466,466,467,467,
466,467,466, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,466,466,468,469,469,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 110 */
 91,254,254,254,254,254,254, 91, 91,254,254,254,254,254,254, 91,
 91,254,254,254,254,254,254, 91, 91, 91, 91, 91, 91, 91, 91, 91,
254,254,254,254,254,254,254, 91,254,254,254,254,254,254,254, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 111 */
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,
470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,470,
470,470,470,471,471,472,471,471,472,471,471,473,471,472, 91, 91,
474,474,474,474,474,474,474,474,474,474, 91, 91, 91, 91, 91, 91,

/* block 112 */
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253, 91, 91, 91, 91,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253, 91, 91, 91, 91,

/* block 113 */
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,
475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,475,

/* block 114 */
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,

/* block 115 */
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415, 91, 91,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415, 91, 91,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,

/* block 116 */
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 117 */
 14, 14, 14, 14, 14, 14, 14, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91,138,138,138,138,138, 91, 91, 91, 91, 91,143,140,143,
143,143,143,143,143,143,143,143,143,477,143,143,143,143,143,143,
143,143,143,143,143,143,143, 91,143,143,143,143,143, 91,143, 91,
143,143, 91,143,143, 91,143,143,143,143,143,143,143,143,143,143,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,

/* block 118 */
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,478,478,478,478,478,478,478,478,478,478,478,478,478,478,
478,478, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,

/* block 119 */
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,

/* block 120 */
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,  4,  5,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,

/* block 121 */
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
 91, 91,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
150,150,150,150,150,150,150,150,150,150,150,150,147, 13, 91, 91,

/* block 122 */
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
  2,  2,  2,  2,  2,  2,  2,  4,  5,  2, 91, 91, 91, 91, 91, 91,
 86, 86, 86, 86, 86, 86, 86, 91, 91, 91, 91, 91, 91, 91, 91, 91,
  2,  7,  7, 11, 11,  4,  5,  4,  5,  4,  5,  4,  5,  4,  5,  4,
  5,  4,  5,  4,  5,  2,  2,  4,  5,  2,  2,  2,  2, 11, 11, 11,
  2,  2,  2, 91,  2,  2,  2,  2,  7,  4,  5,  4,  5,  4,  5,  2,
  2,  2,  6,  7,  6,  6,  6, 91,  2,  3,  2,  2, 91, 91, 91, 91,
150,150,150,150,150, 91,150,150,150,150,150,150,150,150,150,150,

/* block 123 */
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,150,
150,150,150,150,150,150,150,150,150,150,150,150,150, 91, 91, 16,

/* block 124 */
 91,  2,  2,  2,  3,  2,  2,  2,  4,  5,  2,  6,  2,  7,  2,  2,
  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  2,  2,  6,  6,  6,  2,
  2,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,
  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  9,  4,  2,  5, 10, 11,
 10, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12,
 12, 12, 12, 12, 12, 12, 12, 12, 12, 12, 12,  4,  6,  5,  6,  4,
  5,  2,  4,  5,  2,  2,410,410,410,410,410,410,410,410,410,410,
 84,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,

/* block 125 */
410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,410,
410,410,410,410,410,410,410,410,410,410,410,410,410,410, 84, 84,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,253,
253,253,253,253,253,253,253,253,253,253,253,253,253,253,253, 91,
 91, 91,253,253,253,253,253,253, 91, 91,253,253,253,253,253,253,
 91, 91,253,253,253,253,253,253, 91, 91,253,253,253, 91, 91, 91,
  3,  3,  6, 10, 13,  3,  3, 91, 13,  6,  6,  6,  6, 13, 13, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 16, 16, 16, 13, 13, 91, 91,

/* block 126 */
479,479,479,479,479,479,479,479,479,479,479,479, 91,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479, 91,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479, 91,479,479, 91,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479, 91, 91,
479,479,479,479,479,479,479,479,479,479,479,479,479,479, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 127 */
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,479,
479,479,479,479,479,479,479,479,479,479,479, 91, 91, 91, 91, 91,

/* block 128 */
  2,  2, 13, 91, 91, 91, 91, 17, 17, 17, 17, 17, 17, 17, 17, 17,
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,
 17, 17, 17, 17, 91, 91, 91, 13, 13, 13, 13, 13, 13, 13, 13, 13,
480,480,480,480,480,480,480,480,480,480,480,480,480,480,480,480,
480,480,480,480,480,480,480,480,480,480,480,480,480,480,480,480,
480,480,480,480,480,480,480,480,480,480,480,480,480,480,480,480,
480,480,480,480,480,481,481,481,481,482,482,482,482,482,482,482,

/* block 129 */
482,482,482,482,482,482,482,482,482,482,481, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 86, 91, 91,

/* block 130 */
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483, 91, 91, 91,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,484,
484, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 131 */
485,485,485,485,485,485,485,485,485,485,485,485,485,485,485,485,
485,485,485,485,485,485,485,485,485,485,485,485,485,485,485, 91,
486,486,486,486, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
487,487,487,487,487,487,487,487,487,487,487,487,487,487,487,487,
487,488,487,487,487,487,487,487,487,487,488, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 132 */
489,489,489,489,489,489,489,489,489,489,489,489,489,489,489,489,
489,489,489,489,489,489,489,489,489,489,489,489,489,489, 91,490,
491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,
491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,491,
491,491,491,491, 91, 91, 91, 91,491,491,491,491,491,491,491,491,
492,493,493,493,493,493, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 133 */
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,494,
494,494,494,494,494,494,494,494,495,495,495,495,495,495,495,495,
495,495,495,495,495,495,495,495,495,495,495,495,495,495,495,495,
495,495,495,495,495,495,495,495,495,495,495,495,495,495,495,495,
496,496,496,496,496,496,496,496,496,496,496,496,496,496,496,496,
496,496,496,496,496,496,496,496,496,496,496,496,496,496,496,496,
496,496,496,496,496,496,496,496,496,496,496,496,496,496,496,496,

/* block 134 */
497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,497,
497,497,497,497,497,497,497,497,497,497,497,497,497,497, 91, 91,
498,498,498,498,498,498,498,498,498,498, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 135 */
499,499,499,499,499,499, 91, 91,499, 91,499,499,499,499,499,499,
499,499,499,499,499,499,499,499,499,499,499,499,499,499,499,499,
499,499,499,499,499,499,499,499,499,499,499,499,499,499,499,499,
499,499,499,499,499,499, 91,499,499, 91, 91, 91,499, 91, 91,499,
500,500,500,500,500,500,500,500,500,500,500,500,500,500,500,500,
500,500,500,500,500,500, 91,501,502,502,502,502,502,502,502,502,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 136 */
503,503,503,503,503,503,503,503,503,503,503,503,503,503,503,503,
503,503,503,503,503,503,504,504,504,504,504,504, 91, 91, 91,505,
506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,506,
506,506,506,506,506,506,506,506,506,506, 91, 91, 91, 91, 91,507,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 137 */
508,509,509,509, 91,509,509, 91, 91, 91, 91, 91,509,509,509,509,
508,508,508,508, 91,508,508,508, 91,508,508,508,508,508,508,508,
508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,508,
508,508,508,508, 91, 91, 91, 91,509,509,509, 91, 91, 91, 91,509,
510,510,510,510,510,510,510,510, 91, 91, 91, 91, 91, 91, 91, 91,
511,511,511,511,511,511,511,511,511, 91, 91, 91, 91, 91, 91, 91,
512,512,512,512,512,512,512,512,512,512,512,512,512,512,512,512,
512,512,512,512,512,512,512,512,512,512,512,512,512,513,513,514,

/* block 138 */
515,515,515,515,515,515,515,515,515,515,515,515,515,515,515,515,
515,515,515,515,515,515,515,515,515,515,515,515,515,515,515,515,
515,515,515,515,515,515,515,515,515,515,515,515,515,515,515,515,
515,515,515,515,515,515, 91, 91, 91,516,516,516,516,516,516,516,
517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,517,
517,517,517,517,517,517, 91, 91,518,518,518,518,518,518,518,518,
519,519,519,519,519,519,519,519,519,519,519,519,519,519,519,519,
519,519,519, 91, 91, 91, 91, 91,520,520,520,520,520,520,520,520,

/* block 139 */
521,521,521,521,521,521,521,521,521,521,521,521,521,521,521,521,
521,521,521,521,521,521,521,521,521,521,521,521,521,521,521,521,
521,521,521,521,521,521,521,521,521,521,521,521,521,521,521,521,
521,521,521,521,521,521,521,521,521,521,521,521,521,521,521,521,
521,521,521,521,521,521,521,521,521, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 140 */
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,522,
522,522,522,522,522,522,522,522,522,522,522,522,522,522,522, 91,

/* block 141 */
523,524,523,525,525,525,525,525,525,525,525,525,525,525,525,525,
525,525,525,525,525,525,525,525,525,525,525,525,525,525,525,525,
525,525,525,525,525,525,525,525,525,525,525,525,525,525,525,525,
525,525,525,525,525,525,525,525,524,524,524,524,524,524,524,524,
524,524,524,524,524,524,524,526,526,526,526,526,526,526, 91, 91,
 91, 91,527,527,527,527,527,527,527,527,527,527,527,527,527,527,
527,527,527,527,527,527,528,528,528,528,528,528,528,528,528,528,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 142 */
529,529,530,531,531,531,531,531,531,531,531,531,531,531,531,531,
531,531,531,531,531,531,531,531,531,531,531,531,531,531,531,531,
531,531,531,531,531,531,531,531,531,531,531,531,531,531,531,531,
530,530,530,529,529,529,529,530,530,529,529,532,532,533,532,532,
532,532, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 143 */
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,

/* block 144 */
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,534,
534,534,534,534,534,534,534,534,534,534,534,534,534,534,534, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 145 */
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,535,
535,535,535, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
536,536,536,536, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 146 */
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,

/* block 147 */
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 148 */
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,

/* block 149 */
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,428,
428,428,428,428,428,428,428,428,428, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 150 */
410,408, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 151 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 152 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 91, 91, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13,339,339, 86, 86, 86, 13, 13, 13,339,339,339,
339,339,339, 16, 16, 16, 16, 16, 16, 16, 16, 86, 86, 86, 86, 86,

/* block 153 */
 86, 86, 86, 13, 13, 86, 86, 86, 86, 86, 86, 86, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 86, 86, 86, 86, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 154 */
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,482,
482,482,538,538,538,482, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 155 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17,
 17, 17, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 156 */
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,370,370,
370,370,370,370,370, 91,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,

/* block 157 */
369,369,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,369, 91,369,369,
 91, 91,369, 91, 91,369,369, 91, 91,369,369,369,369, 91,369,369,
369,369,369,369,369,369,370,370,370,370, 91,370, 91,370,370,370,
370,370,370,370, 91,370,370,370,370,370,370,370,370,370,370,370,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,

/* block 158 */
370,370,370,370,369,369, 91,369,369,369,369, 91, 91,369,369,369,
369,369,369,369,369, 91,369,369,369,369,369,369,369, 91,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,369,369, 91,369,369,369,369, 91,
369,369,369,369,369, 91,369, 91, 91, 91,369,369,369,369,369,369,
369, 91,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,

/* block 159 */
369,369,369,369,369,369,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,

/* block 160 */
370,370,370,370,370,370,370,370,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,

/* block 161 */
369,369,369,369,369,369,369,369,369,369,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370, 91, 91,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,  6,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,  6,370,370,370,370,
370,370,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,  6,370,370,370,370,

/* block 162 */
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,  6,370,370,370,370,370,370,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,  6,370,370,370,370,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,  6,
370,370,370,370,370,370,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,  6,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,

/* block 163 */
370,370,370,370,370,370,370,370,370,  6,370,370,370,370,370,370,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,  6,370,370,370,370,370,370,
370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,370,
370,370,370,  6,370,370,370,370,370,370,369,370, 91, 91,  8,  8,
  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,
  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,
  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,  8,

/* block 164 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,

/* block 165 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91,
 91, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91,
 91, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 91, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 166 */
 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,

/* block 167 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,

/* block 168 */
539, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 169 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 91, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91,

/* block 170 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 91, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 171 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91,
 13, 91, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,

/* block 172 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 91, 13, 13, 13, 13, 91, 91, 91,

/* block 173 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 174 */
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 13, 13, 13, 13, 13,

/* block 175 */
 91, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 91, 13, 13, 13, 91, 13, 91, 13, 91, 13, 91, 13, 13, 13, 91,
 13, 13, 13, 13, 13, 13, 91, 91, 13, 13, 13, 13, 91, 13, 91, 91,
 13, 13, 13, 13, 91, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 91, 91, 91, 91, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 176 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 177 */
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13,
 13, 13, 13, 13, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 178 */
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 179 */
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,

/* block 180 */
415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,415,
415,415,415,415,415,415,415,415,415,415,415,415,415,415, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 181 */
 91, 16, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,
 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,
 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16, 16,

/* block 182 */
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,

/* block 183 */
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86, 86,
 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91, 91,

/* block 184 */
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,476,
476,476,476,476,476,476,476,476,476,476,476,476,476,476, 91, 91,

};

#if UCD_BLOCK_SIZE != 128
#error Please correct UCD_BLOCK_SIZE in pcre_internal.h
#endif
#endif  /* SUPPORT_UCP */
